#
# spec file for package python-python-gnutls
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name python-gnutls

Name:           %{mod_name}
Version:        1.2.0
Release:        2.3
Url:            http://ag-projects.com/
Summary:        Python wrapper for the GNUTLS library
License:        LGPL
Group:          Development/Languages/Python
Source:         %{mod_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%endif

%description
This package provides a high level object oriented wrapper around libgnutls,
as well as low level bindings to the GNUTLS types and functions via ctypes.
The high level wrapper hides the details of accessing the GNUTLS library via
ctypes behind a set of classes that encapsulate GNUTLS sessions, certificates
and credentials and expose them to python applications using a simple API.

The package also includes a Twisted interface that has seamless intergration
with Twisted, providing connectTLS and listenTLS methods on the Twisted
reactor once imported (the methods are automatically attached to the reactor
by simply importing the GNUTLS Twisted interface module).

The high level wrapper is written using the GNUTLS library bindings that are
made available via ctypes. This makes the wrapper very powerful and flexible
as it has direct access to all the GNUTLS internals and is also very easy to
extend without any need to write C code or recompile anything.

Authors:
--------
    Dan Pascu <dan@ag-projects.com>

%prep
%setup -n %{mod_name}-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} %{?suse_version: --record-rpm=INSTALLED_FILES}

%clean
rm -rf %{buildroot}

%files %{?suse_version: -f INSTALLED_FILES}
%defattr(-,root,root,-)
%doc README ChangeLog LICENSE INSTALL examples
%if 0%{!?suse_version:1}
%python_sitelib/%{mod_name}*
%endif

%changelog
* Tue Jan 11 2011 saschpe@suse.de
- Update to version 1.2.20
- Regenerated with py2pack
  * added changes file
  * added docs and examples
  Sat Sep 22 00:00:00 UTC 2007 - Peter Nixon
- Initial release
